Skip to main content
PUT
/
api
/
decks
/
{deckId}
/
branding
Update branding
curl --request PUT \
  --url https://app.demandiq.com/api/decks/{deckId}/branding \
  --header 'Content-Type: application/json' \
  --data '
{
  "palette": {
    "primary": "#1a73e8",
    "primaryLight": "#4a90d9",
    "accent": "#ff6b35",
    "neutral": "#f5f5f5",
    "text": "#333333"
  },
  "cta": {
    "headline": "Ready to go solar?",
    "body": "Schedule your free consultation today.",
    "buttonText": "Get started"
  },
  "name": "Acme Roofing",
  "logo": "<string>",
  "avatar": "<string>",
  "chatName": "Acme Assistant",
  "chatGreeting": "Hi! Ask me anything about your proposal.",
  "fonts": {},
  "contact": {},
  "loi": {}
}
'
{
  "branding": {
    "name": "<string>",
    "logo": "<string>",
    "avatar": "<string>",
    "chatName": "<string>",
    "chatGreeting": "<string>",
    "palette": {
      "primary": "<string>",
      "primaryLight": "<string>",
      "accent": "<string>",
      "neutral": "<string>",
      "text": "<string>"
    },
    "fonts": {},
    "cta": {
      "headline": "<string>",
      "body": "<string>",
      "buttonText": "<string>"
    },
    "contact": {},
    "loi": {}
  }
}

Path Parameters

deckId
string<uuid>
required

Deck ID

Body

application/json
palette
object
required
cta
object
required
name
string
Example:

"Acme Roofing"

Image URL or S3 key for the company logo

avatar
string

Image URL or S3 key for the chat avatar

chatName
string
Example:

"Acme Assistant"

chatGreeting
string
Example:

"Hi! Ask me anything about your proposal."

fonts
object

Font pairing configuration

contact
object
loi
object

Response

200 - application/json

Branding updated

branding
object